import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)
export default new Vuex.Store({
  state: {
    menuList: [],
    spinning: false
  },
  mutations: {
    setMenuList (state, payload) {
      state.menuList = payload
    },
    setSpinning (state, payload) {
      state.spinning = payload
    }
  },
  actions: {
    setMenuList: ({ commit }, menuList) => commit('setMenuList', menuList),
    setSpinning: ({ commit }, spinning) => commit('setSpinning', spinning)
  }
})
